<template>
  <swiper
    :modules="[Navigation, EffectFade, Autoplay]"
    :effect="'fade'"
    :fade-effect="{ crossFade: true }"
    :navigation="{
      nextEl: '.banner-button-next',
      prevEl: '.banner-button-prev',
    }"
    :speed="400"
    :space-between="100"
    :autoplay="{ delay: 4000 }"
    :loop="true"
    class="banner-swiper"
  >
    <swiper-slide v-for="banner in bannersData" :key="banner.HtmlId">
      <nuxt-link :to="banner.HyperLink">
        <div class="h-[460px]">
          <div
            class="blur-background"
            :style="{ 'background-image': 'url(' + banner.ImagePath + ')' }"
          ></div>
          <img
            :src="banner.ImagePath"
            class="mx-auto duration-700 relative w-full h-full object-contain"
            loading="lazy"
          />
        </div>
      </nuxt-link>
    </swiper-slide>
  </swiper>
  <div class="swiper-button-container">
    <div class="swiper-button banner-button-prev icon-button-prev">
      <font-awesome-icon icon="caret-left" />
    </div>
    <div class="swiper-button banner-button-next icon-button-next">
      <font-awesome-icon icon="caret-right" />
    </div>
  </div>
</template>

<script setup lang="ts">
import { Swiper, SwiperSlide } from "swiper/vue";
import { Navigation, EffectFade, Autoplay } from "swiper";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";

defineProps({
  bannersData: {
    type: Array as PropType<Array<IThemePropertiesFromApi>>,
    default: () => [],
  },
});
</script>

<style scoped lang="scss">
.banner-swiper {
  padding: 25px;
}

.swiper-button::after,
.swiper-button::before {
  display: none;
}

.swiper-button-container {
  width: 100%;
  display: flex;
  justify-content: center;
  gap: 1.5rem;
  margin-bottom: 1rem;
}

.banner-container {
  position: relative;
  color: var(--textBtn);
}

.swiper-button-container .swiper-button {
  color: var(--accent-color);
  position: unset;
  cursor: pointer;
  font-size: 32px;
}

.slider-main-content {
  align-items: flex-end;
  bottom: 3vw;
}

.banner-swiper .swiper-slide {
  border-radius: 16px;
  overflow: hidden;
}

.slider-main {
  &__promo-title {
    margin-bottom: 1rem;
    color: var(--textBtn);
    cursor: default;
  }

  &__promo-description {
    margin-bottom: 2rem;
    color: var(--textBtn);
    cursor: default;
  }
}
.banner__link {
  text-underline-offset: 3px;
  text-decoration-color: transparent;
  transition: all 250ms ease;
  color: var(--textBtn);
  & svg {
    transition: all 250ms ease;
  }
  &:hover,
  &:focus {
    text-decoration: underline;
    text-decoration-color: var(--textBtn);

    & svg {
      margin-left: 0.5rem;
    }
  }
}
</style>
